%define fw_version 5.24

Summary:	KDE Frameworks 5 user work in separate activities organization module
Name:		kactivities
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	boost-devel
BuildRequires:	kf5configwidgets-devel >= %{version}
BuildRequires:	kf5coreaddons-devel >= %{version}
BuildRequires:	kf5kio-devel >= %{version}
BuildRequires:	kf5windowsystem-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
KDE Frameworks 5 user work in separate activities organization module.

KActivities provides the infrastructure needed to manage a user's activites,
allowing them to switch between tasks, and for applications to update their
state to match the user's current activity. This includes a daemon, a library
for interacting with that daemon, and plugins for integration with other
frameworks.

#----------------------------------------------------------------------------

%define qmlkf5activities %mklibname kf5activities-qml

%package -n %{qmlkf5activities}
Summary:	QML plugin for KDE Frameworks 5 KActivities
Group:		System/Libraries
Provides:	kf5activities-qml = %{EVRD}

%description -n %{qmlkf5activities}
QML plugin for KDE Frameworks 5 KActivities.

%files -n %{qmlkf5activities}
%dir %{_kde5_qmldir}/org/kde/activities/
%{_kde5_qmldir}/org/kde/activities/*

#----------------------------------------------------------------------------

%define kf5activities_major 5
%define libkf5activities %mklibname kf5activities %{kf5activities_major}

%package -n %{libkf5activities}
Summary:	KDE Frameworks 5 separate activities shared library
Group:		System/Libraries
Requires:	%{qmlkf5activities}
Obsoletes:	kactivities-i18n < 5.20.0

%description -n %{libkf5activities}
KDE Frameworks 5 separate activities shared library.

%files -n %{libkf5activities}
%{_kde5_libdir}/libKF5Activities.so.%{kf5activities_major}*

#----------------------------------------------------------------------------

%define devkf5activities %mklibname kf5activities -d

%package -n %{devkf5activities}
Summary:	Development files for KDE Frameworks 5 separate activities module
Group:		Development/KDE and Qt
Requires:	%{libkf5activities} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5activities-devel = %{version}

%description -n %{devkf5activities}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5activities}
%{_kde5_includedir}/KF5/KActivities
%{_kde5_includedir}/KF5/kactivities_version.h
%{_kde5_libdir}/cmake/KF5Activities
%{_kde5_libdir}/pkgconfig/libKActivities.pc
%{_kde5_libdir}/libKF5Activities.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (53d77f2) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (7b2fbc8) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (610d0ad) MassBuild#1022: Increase release tag

* Sun Apr 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (7513f44) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-3
- (1963438) MassBuild#1000: Increase release tag

* Thu Mar 17 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (1c6a56f) Obsolete i18n package

* Tue Mar 15 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (373a198) Major package rework (builds only library and QML parts now, other parts moved into individual packages)
- (Andrey Bondrov: 5a5eda4) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (73e82c3) New version 5.19.0

* Tue Jan 12 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (94ffa7f) No longer requires kf5service-devel to build
- (Andrey Bondrov: b83846d) Update files and add new shared private library package libkactivitymanagerd_plugin
- (Andrey Bondrov: 38fc88b) Plugins are now versioned
- (Andrey Bondrov: 68f5038) New version 5.18.0

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (f6c2fbb) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (b654ae4) Bump release

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (35d74e2) Adjust BuildRequires format
- (Andrey Bondrov: 10784a3) Build requires pkgconfig(Qt5QuickWidgets)
- (Andrey Bondrov: 89bb26d) New version 5.16.0

* Sun Oct 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (9f6df0c) New version 5.15.0

* Sat Sep 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-1
- (212d5d9) New version 5.14.0

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.13.0-1
- (02ea24e) New version 5.13.0

* Mon Jul 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.0-1
- (6c4b461) New version 5.12.0

* Mon Jun 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.0-1
- (a73c0c6) New version 5.11.0

* Sat May 09 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.0-1
- (c6fc9f3) New version 5.10.0

* Fri Apr 10 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (3f6e183) New version 5.9.0

* Wed Mar 25 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.0-1
- (3211d8a) New version 5.8.0

* Fri Mar 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.0-3
- (0c91d90) MassBuild#682: Increase release tag

* Thu Mar 05 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.0-2
- (400a884) Adjust devel package Provides and headers directory
- (400a884) Add Conflicts with KDE4 libkactivities package

* Wed Feb 25 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.0-1
- (18ab6f2) Add required KF5 version to BuildRequires
- (Andrey Bondrov: 20d5f8b) New version 5.7.0


